Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy.container
Class AOPProxyFactoryParameters

    java.lang.Object
      org.jboss.aop.proxy.container.AOPProxyFactoryParameters

public class AOPProxyFactoryParameters
extends Object

Version:
  $Revision: 1.1 $
Author:
  Kabir Khan

Constructor Summary
`AOPProxyFactoryParameters()`
`AOPProxyFactoryParameters(Class proxiedClass, Object target, Class[] interfaces, org.jboss.repository.spi.MetaDataContext context, boolean objectAsSuperClass, SimpleMetaData simpleMetaData)`

Method Summary
`Class[]` | `getInterfaces()`
`org.jboss.repository.spi.MetaDataContext` | `getMetaDataContext()`
`Class` | `getProxiedClass()`
`SimpleMetaData` | `getSimpleMetaData()`
`Object` | `getTarget()`
`boolean` | `isObjectAsSuperClass()`
`void` | `setInterfaces(Class[] interfaces)`
`void` | `setMetaDataContext(org.jboss.repository.spi.MetaDataContext metaDataContext)`
`void` | `setObjectAsSuperClass(boolean objectAsSuperClass)`
`void` | `setProxiedClass(Class proxiedClass)`
`void` | `setSimpleMetaData(SimpleMetaData simpleMetaData)`
`void` | `setTarget(Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AOPProxyFactoryParameters

    public AOPProxyFactoryParameters()

### AOPProxyFactoryParameters

    public AOPProxyFactoryParameters(Class proxiedClass,
                                     Object target,
                                     Class[] interfaces,
                                     org.jboss.repository.spi.MetaDataContext context,
                                     boolean objectAsSuperClass,
                                     SimpleMetaData simpleMetaData)

Method Detail

### getInterfaces

    public Class[] getInterfaces()

### setInterfaces

    public void setInterfaces(Class[] interfaces)

### getMetaDataContext

    public org.jboss.repository.spi.MetaDataContext getMetaDataContext()

### setMetaDataContext

    public void setMetaDataContext(org.jboss.repository.spi.MetaDataContext metaDataContext)

### isObjectAsSuperClass

    public boolean isObjectAsSuperClass()

### setObjectAsSuperClass

    public void setObjectAsSuperClass(boolean objectAsSuperClass)

### getProxiedClass

    public Class getProxiedClass()

### setProxiedClass

    public void setProxiedClass(Class proxiedClass)

### getSimpleMetaData

    public SimpleMetaData getSimpleMetaData()

### setSimpleMetaData

    public void setSimpleMetaData(SimpleMetaData simpleMetaData)

### getTarget

    public Object getTarget()

### setTarget

    public void setTarget(Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.